%define rbname eet
%define version 0.1.3
%define release %mkrel 3

Summary: Ruby extension to access EET files
Name: ruby-%{rbname}

Version: %{version}
Release: %{release}
Group: Development/Other
License: MIT
URL: http://code-monkey.de/projects/%{name}.html
Source0: ftp://code-monkey.de/pub/%{name}/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: eet-devel 
BuildRequires: ruby-rake
BuildRequires: ruby-devel

%define ruby_libdir %(ruby -rrbconfig -e 'puts Config::CONFIG["sitelibdir"]')
%define ruby_archdir %(ruby -rrbconfig -e 'puts Config::CONFIG["sitearchdir"]')

%description
EET is a tiny library designed to write an arbitary set of chunks of data to
a file and optionally compress each chunk (very much like a zip file) and 
allow fast random-access reading of the file later on.
Ruby-EET allows you to read and write EET files from Ruby code. 
This extension also supports Ruby object serialization to EDD (EET Data
Descriptor).

%prep
%setup -q 

%build
rake 
rake test

%install
mkdir -p %{buildroot}%{ruby_archdir}
DESTDIR=%{buildroot} rake install

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS  COPYING  ChangeLog  NEWS  README
%{ruby_archdir}/*.so
%{ruby_libdir}/*.rb

%changelog
* Fri Dec 23 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.1.3-3mdk
- Fix BuildRequires : ruby-devel

* Thu Dec 22 2005 Pascal Terjan <pterjan@mandriva.org> 0.1.3-2mdk
- BuildRequires ruby-devel

* Tue Aug 16 2005 Pascal Terjan <pterjan@mandriva.org> 0.1.3-1mdk
- 0.1.3

* Sun Aug 14 2005 Pascal Terjan <pterjan@mandriva.org> 0.1.2-2mdk
- fix Summary
- mkrel

* Sun Aug 14 2005 Pascal Terjan <pterjan@mandriva.org> 0.1.2-1mdk
- First version of the package 
